MUTT(1)

BEZEICHNUNG
mutt - Der Mail User Agent Mutt

ÜBERSICHT

mutt
    [-nRyzZ] [-e Befehl] [-F Konfigurationsdatei] [-m Typ] [-f Postfach]

mutt
    [-Enx] [-e Befehl] [-F Konfigurationsdatei] [-H Entwurf] [-i Einbeziehung]
    [-b Bcc-Adresse] [-c Cc-Adresse] [-s Betreff]
    [-a Datei … --] Empfängeradresse …

mutt
    [-nx] [-e Befehl] [-F Konfigurationsdatei] [-b Bcc-Adresse] [-c Cc-Adresse]
    [-s Betreff] [-a Datei … --] Empfängeradresse … < Nachricht

mutt
    [-n] [-e Befehl] [-F Konfigurationsdatei] -p

mutt
    [-n] [-e Befehl] [-F Konfigurationsdatei] -A Alias

mutt
    [-n] [-e Befehl] [-F Konfigurationsdatei] -Q Variable

mutt
    -v[v]

mutt
    -D

BESCHREIBUNG

Mutt ist ein kleines, aber sehr mächtiges textbasiertes Programm zum Lesen und Verschicken von E-Mails auf UNIX-Betriebssystemen. Es unterstützt Farbterminals, MIME, OpenPGP und einen nach Diskussionssträngen geordneten Sortiermodus.

Hinweis: Diese Handbuchseite gibt einen kurzen Überblick über die Befehlszeilenoptionen der ausführbaren Datei mutt. Sie sollten eine Kopie des vollständigen Handbuchs in /usr/share/doc/mutt finden, in den Formaten einfacher Text, HTML und/oder PDF. Bitte greifen Sie auf das Handbuch zurück, wenn Sie lernen wollen, wie Sie Mutt verwenden und einrichten können.

OPTIONEN

-A Alias
    gibt eine expandierte Version des angegebenen Alias aus und beendet das Programm.

-a Datei …
    hängt eine Datei mittels MIME an. Die Argumente Datei und Empfängeradresse müssen zwingend mit »--« getrennt werden. Beispiel:

    mutt -a Bild.jpg -- Empfängeradresse
    mutt -a Bild.jpg *.png -- Empfängeradresse-1 Empfängeradresse-2

    Die Option -a muss an das Ende der Befehlszeilenoptionen gesetzt werden.

-b Bcc-Adresse
    gibt eine Blindkopie-Adresse (Bcc) an.

-c Cc-Adresse
    gibt eine Kopie-Adresse (Cc) an.

-d Stufe
    Falls Mutt mit +DEBUG kompiliert wurde, wird die Debugging-Ausgabe in ~/.muttdebug0 protokolliert. Die Stufe kann durch Werte von -5 bis 5 angegebenen werden und beeinflusst die Ausführlichkeit. Ein Wert kleiner als 0 deaktiviert die automatische Umwälzung der Protokolldatei; die Protokollierstufe ist dann ihr absoluter Wert. Für die meisten Diagnostik-Zwecke wird ein Wert von 2 (-2) empfohlen.

-D  schreibt den Wert aller Konfigurationsoptionen in die Standardausgabe.

-E  bewirkt, dass die durch -H oder als Einbeziehung durch -i angegebene Entwurfs-Datei bei der Nachrichtenerstellung bearbeitet wird.

-e Befehl
    gibt einen Konfigurations-Befehl an, der nach der Verarbeitung der Initialisierungsdateien ausgeführt werden soll.

-f Postfach
    gibt an, welches Postfach geladen werden soll.

-F Konfigurationsdatei
    verwendet die angegebene Konfigurationsdatei anstelle der Konfigurationsdatei des Benutzers.

-h  zeigt eine kurze Zusammenfassung der Optionen an und beendet das Programm.

-H Entwurf
    gibt eine Entwurfs-Datei an, die Kopfzeilen und Textkörper enthält, die zum Senden einer Nachricht verwendet werden sollen. Wird die Entwurfs-Datei als »-« angegeben, werden die Daten aus der Standardeingabe gelesen. Für die Entwurfsdatei wird erwartet, dass sie einfach einen Kopf gemäß RFC 822 und einen Textkörper enthält. Obwohl keine »mbox«-Datei, wird eine bei einer »mbox«-typischen »From «-Zeile diese stillschweigend verworfen. Entwurfsdateien werden im interaktiven und Stapelverarbeitungsmodus gleichermaßen verarbeitet; sie werden nicht unverändert weitergeleitet. Beispielsweise werden verschlüsselte Entwurfsdateien zuvor entschlüsselt.

-i Einbeziehung
    gibt eine Einbeziehungs-Datei an, die in den Textkörper einer Nachricht eingefügt werden soll. Dies wird ignoriert, wenn -H angegeben ist. Falls die Einbeziehung als »-« angegeben ist, werden die Daten aus der Standardeingabe gelesen.

-m Typ
    gibt einen vorgegebenen Postfach-Typ für neu zu erstellende Ordner an. Folgende Werte sind zulässig: mbox, MMDF, MH oder Maildir. Siehe auch $mbox_type im Handbuch.

-n  liest nicht die systemweite Muttrc-Konfigurationsdatei.

-p  nimmt eine zurückgestellte Nachricht wieder auf. Gibt es keine zurückgestellten Nachrichten, wird sofort beendet.

-Q Variable
    fragt den Wert einer Konfigurations-Variable ab. Die Abfrage wird ausgeführt, nachdem alle Konfigurationsdateien eingelesen und alle in der Befehlszeile angegebenen Befehle ausgeführt wurden.

-R  öffnet ein Postfach im schreibgeschützten Modus.

-s Betreff
    gibt den Betreff der Nachricht an. Dieser muss in Anführungszeichen gesetzt werden, falls er Leerzeichen enthalten sollte.

-v  zeigt die Versionsnummer von Mutt und die Definitionen bei der Kompilierung an.

-vv zeigt Lizenz und urheberrechtliche Informationen an.

-x  emuliert den mailx(1)-Modus zum Verfassen von Nachrichten.

-y  startet Mutt mit einer Auflistung aller Postfächer, die mit dem Konfigurationsbefehl mailboxes angegeben wurden.

-z  beendet sofort mit dem Code 1, falls das durch -f angegebene Postfach keine Nachrichten enthält.

-Z  weist Mutt an, das erste mit dem Konfigurationsbefehl mailboxes angegebene Postfach zu öffnen, das neue Nachrichten enthält. Beendet sofort mit dem Code 1, wenn es in keinem Postfach neue Nachrichten gibt.

--  fasst die verbleibenden Argumente als Empfängeradresse auf, selbst wenn sie mit einem Bindestrich beginnen. Siehe auch -a oben. Die Empfängeradresse kann eine E-Mail-Adresse auf em lokalen System oder im Netzwerk oder auch eine mailto:-Adresse sein.

UMGEBUNGSVARIABLEN

EDITOR, VISUAL
    gibt den beim Verfassen von Nachrichten zu verwendenden Editor an. Wenn sowohl EDITOR als auch VISUAL gesetzt ist, erhält VISUAL den Vorzug. Falls weder EDITOR noch VISUAL gesetzt ist, ist vi(1) die Vorgabe.

EGDSOCKET, RANDFILE
    Pfade zum Initialisieren der Zufallsdaten-Engine für die SSL-Bibliothek.

EMAIL
    gibt die E-Mail-Adresse des Benutzers an.

HOME
    gibt den vollständigen Pfad zum Home-Verzeichnis des Benutzers an.

MAIL
    Vollständiger Pfad zum Spool-Postfach des Benutzers.

MAILDIR
    Vollständiger Pfad zum Spool-Postfach des Benutzers, falls MAIL nicht gesetzt ist. Dies wird typischerweise verwendet, wenn das Spool-Postfach ein maildir(5)-Ordner ist.

MAILCAPS
    Suchpfad für Mailcap-Dateien.

MM_NOASK
    Wenn diese Variable gesetzt ist, wird immer Mailcap verwendet, ohne zuerst nachzufragen.

PGPPATH
    Verzeichnis, in welchem sich der öffentliche PGP-Schlüsselbund des Benutzers befindet. Wenn dies mit dem ursprünglichen PGP-Programm verwendet wird, verlassen sich Mutt und mutt_pgpring(1) darauf, dass sie gesetzt ist.

REPLYTO
    Standardmäßige Antwortadresse (für Reply-To).

TMPDIR
    Verzeichnis, in dem temporäre Dateien angelegt werden. Falls nicht gesetzt, wird /tmp verwendet. Siehe auch die Konfigurationsvariable $tmpdir.

LC_ALL, LC_CTYPE, LANG
    Wird zum Ermitteln des zu verwendenden Zeichensatzes und der Locale genutzt.

TEXTDOMAINDIR
    Verzeichnis, das Übersetzungsdateien enthält. Falls gesetzt, setzt dieser Pfad das Mutt-Installationsverzeichnis außer Kraft. Wird zum Testen bearbeiteter Übersetzungen verwendet.

DATEIEN

~/.muttrc
~/.mutt/muttrc
$XDG_CONFIG_HOME/mutt/muttrc
    Benutzerkonfigurationsdateien.

/etc/mutt/Muttrc oder /usr/share/mutt/Muttrc
    Systemweite Konfigurationsdatei.

/tmp/muttXXXXXX
    Von Mutt erstellte temporäre Dateien.

~/.muttdebug0
    Datei, die die Debugging-Ausgabe enthält. Die Protokolldateien werden durch mutt automatisch umgewälzt, wobei die Nummer am Ende geändert wird. Siehe die vorstehende Option -d.

~/.mailcap
    Benutzerdefinitionen für den Umgang mit nicht-textuellen MIME-Typen.

/etc/mutt/mailcap
    Systemweite Definitionen für den Umgang mit nicht-textuellen MIME-Typen.

~/.mime.types
    Die persönlichen Zuweisungen zwischen MIME-Typen und Dateierweiterungen.

/etc/mutt/mime.types
    Systemweite Zuweisungen des Benutzers zwischen MIME-Typen und Dateierweiterungen.

/usr/bin/mutt_dotlock
    Das privilegierte Dotlocking-Programm.

/usr/share/doc/mutt/manual.txt
    Das Mutt-Handbuch.

FEHLER

Keine. Mutt hat Fleas (Flöhe), keine Bugs (Wanzen).

FLÖHE

Suspendierung/Aufwachen funktioniert unter SunOS 4.x während der Bearbeitung einer Datei in einem externen Editor nicht, wenn Sie die Curses-Bibliothek in /usr/5lib verwenden. Es funktioniert jedoch mit der S-Lang-Bibliothek.

Größenveränderung des Bildschirms während der Verwendung eines externen Textanzeigeprogramms führt dazu, dass Mutt durchdreht.

Suspendierung/Aufwachen funktioniert unter Ultrix nicht.

Die Hilfezeile für das Indexmenü wird nicht aktualisiert, wenn Sie die Bindungen für eine der aufgelisteten Funktionen ändern, während Mutt läuft.

Eine aktuellere Liste der Bugs, äh, Flöhe finden Sie in der Fehlerdatenbank des Mutt-Projekts (https://gitlab.com/muttmua/mutt/issues).

KEINE GARANTIEN
Dieses Programm wurde mit dem Ziel veröffentlicht, dass Sie es nützlich finden, jedoch OHNE JEGLICHE GARANTIE, sogar ohne eine implizite Garantie der MARKTREIFE oder der EIGNUNG FÜR EINEN SPEZIELLEN ZWECK. Schauen Sie für weitere Informationen bitte in der »GNU General Public License« (GNU GPL) nach.

SIEHE AUCH

mutt_dotlock(1), mutt_pgpring(1), pgpewrap(1), sendmail(1), smail(1), smime_keys(1), curses(3), ncurses(3), mailcap(5), maildir(5), mbox(5), mmdf(5), muttrc(5)

Mutt-Projektseite (http://www.mutt.org/)

Das Mutt-Handbuch

RFC5322 - Internet Message Format (https://tools.ietf.org/rfcmarkup/5322) (RFC2822 und RFC822 sind dadurch als veraltet markiert)

AUTOR

Michael Elkins und andere. Kontaktieren Sie die Mutt-Entwickler (auf Englisch) unter mutt-dev@mutt.org.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).